#ifndef MGEOMPIX_H
#define MGEOMPIX_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MGeomPix : public TObject
{ 
 private:
  Float_t  fX ;  //   the x coordinate 
  Float_t  fY ;  //   the y coordinate
  Float_t  fR ;  //   the y coordinate

 public:
  
  MGeomPix(Float_t x=0. , Float_t y=0., Float_t r=0.) ;
  
  void Print(Option_t *opt=NULL) ;
  
  void SetX ( Float_t x )     {      fX = x ;    }
  void SetY ( Float_t y )     {      fY = y ;    }
  void SetR ( Float_t r )     {      fR = r ;    }
  Float_t GetX()              {      return fX ;    }
  Float_t GetY()              {      return fY ;    }
  Float_t GetR()              {      return fR ;    }

  ClassDef(MGeomPix, 1)		// Geometric class for one pixel
} ; 

#endif

